/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package coursfev2;

import java.util.HashMap;

/**
 *
 * @author krug
 */
public class ArithmeticVariable implements Arithmetic {
    private String varName;
    
    public ArithmeticVariable(String init) {
        varName = init;
    }
    
    public double calculateValue(HashMap variables) throws ArithmeticVariableUndefinedException {
        if(variables == null) {
            throw new ArithmeticVariableUndefinedException(varName + " is undefined");
        }
        
        Double value = (Double) variables.get(varName);
        if(value == null)
            throw new ArithmeticVariableUndefinedException(varName + " is undefined");

        return value.doubleValue();
    }

    public String prefixNotation() {
        return ""+varName;
    }

    public String infixNotation() {
        return ""+varName;
    }

    public String postfixNotation() {
        return ""+varName;
    }

    public boolean isSimplifiable() {
        return false;
    }

    public Arithmetic simplify() {
        return this;
    }

}
